commit:     8810174cf6793edeb4c8e2ffc455f69fbddea8bb
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  1 06:38:12 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jul  1 06:38:16 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8810174c

sys-apps/dmidecode: add 3.4

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/dmidecode/Manifest             |  1 +
 sys-apps/dmidecode/dmidecode-3.4.ebuild | 45 +++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/sys-apps/dmidecode/Manifest b/sys-apps/dmidecode/Manifest
index f7691c3ec2e2..3b0473fab549 100644
--- a/sys-apps/dmidecode/Manifest
+++ b/sys-apps/dmidecode/Manifest
@@ -1 +1,2 @@
 DIST dmidecode-3.3.tar.xz 56372 BLAKE2B 
7a4557a203702da5d5d6722c72870342e18458b3777d095656e9d5c3a5f80cc712d16b775fa16e4ae9326965a789d393092d45651a449444e268438c1d16773e
 SHA512 
dc77f40a7898011cea1b747d4677be2fbe8f52ec6ac460a5656de2f3389eca83bc416d6494acbe759971b5afce37b78f21ab55c34d62b1105b800e31566d1d22
+DIST dmidecode-3.4.tar.xz 61420 BLAKE2B 
f9f0429c5128692c2d1d560580552285ea900c1c9ef6f68f0e2133ae1ef05b85a943e882f915d3ef969b7a7e3f3f6bbc4ec391e7bd3d98092976ddbf02421c49
 SHA512 
62990b6159e5a7c8688d37e44957e7948391d2c6afeabaa4514ba9dad2d08b020297676e2dbbfcb6471efc6fb6f3682750422931a953f78f358bb3dd3745e95b

diff --git a/sys-apps/dmidecode/dmidecode-3.4.ebuild 
b/sys-apps/dmidecode/dmidecode-3.4.ebuild
new file mode 100644
index 000000000000..9cff88ef840e
--- /dev/null
+++ b/sys-apps/dmidecode/dmidecode-3.4.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Upstream often give "recommended patches" at 
https://www.nongnu.org/dmidecode/
+# Check regularly after releases!
+inherit toolchain-funcs
+
+DESCRIPTION="DMI (Desktop Management Interface) table related utilities"
+HOMEPAGE="https://www.nongnu.org/dmidecode/";
+SRC_URI="https://savannah.nongnu.org/download/${PN}/${P}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="-* ~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv 
~x86 ~x86-solaris"
+IUSE="selinux"
+
+RDEPEND="selinux? ( sec-policy/selinux-dmidecode )"
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e "/^prefix/s:/usr/local:${EPREFIX}/usr:" \
+               -e "/^docdir/s:dmidecode:${PF}:" \
+               -e '/^PROGRAMS !=/d' \
+               Makefile || die
+}
+
+src_compile() {
+       emake \
+               CFLAGS="${CFLAGS} ${CPPFLAGS}" \
+               LDFLAGS="${LDFLAGS}" \
+               CC="$(tc-getCC)"
+}
+
+pkg_postinst() {
+       if [[ ${CHOST} == *-solaris* ]] ; then
+               einfo "dmidecode needs root privileges to read /dev/xsvc"
+               einfo "To make dmidecode useful, either run as root, or chown 
and setuid the binary."
+               einfo "Note that /usr/sbin/ptrconf and /usr/sbin/ptrdiag give 
similar"
+               einfo "information without requiring root privileges."
+       fi
+}

Reply via email to